package jalview.datamodel;

public class Profiles implements ProfilesI
{

  private ProfileI[] profiles;

  public Profiles(ProfileI[] p)
  {
    profiles = p;
  }

  /**
   * Returns the profile for the given column, or null if none found
   * 
   * @param col
   */
  @Override
  public ProfileI get(int col)
  {
    return profiles != null && col >= 0 && col < profiles.length ? profiles[col]
            : null;
  }

  /**
   * Returns the first column (base 0) covered by the profiles
   */
  @Override
  public int getStartColumn()
  {
    return 0;
  }

  /**
   * Returns the last column (base 0) covered by the profiles
   */
  @Override
  public int getEndColumn()
  {
    return profiles == null ? 0 : profiles.length - 1;
  }

}
